# WOK
TKWOK
WOKBuilder

# WOKBuilder_MSExtractorIterator Class Reference

Manages Extraction of a MSEntity
.

`#include <WOKBuilder_MSExtractorIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKBuilder_MSExtractorIterator (const Handle(WOKBuilder_MSchema)&ams, const Handle(WOKBuilder_MSExtractor)&anext)
Standard_EXPORT WOKBuilder_BuildStatus | Execute (const Handle(WOKBuilder_MSEntity)&anentity)
Standard_EXPORT WOKBuilder_BuildStatus | Execute (const Handle(WOKBuilder_MSEntity)&anentity, const Standard_CString amode)
Standard_EXPORT Handle_WOKBuilder_HSequenceOfEntity | Produces () const

## Private Attributes

Handle_WOKBuilder_MSchema | mymeta
Handle_WOKBuilder_MSExtractor | myextractor
Handle_WOKBuilder_HSequenceOfEntity | myproduction

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_MSExtractorIterator::WOKBuilder_MSExtractorIterator | ( | const Handle(WOKBuilder_MSchema)& | ams,
|  | const Handle(WOKBuilder_MSExtractor)& | anext
| ) |

## Member Function Documentation

Standard_EXPORT WOKBuilder_BuildStatus WOKBuilder_MSExtractorIterator::Execute | ( | const Handle(WOKBuilder_MSEntity)& | anentity,
|  | const Standard_CString | amode
| ) |

Standard_EXPORT WOKBuilder_BuildStatus WOKBuilder_MSExtractorIterator::Execute | ( | const Handle(WOKBuilder_MSEntity)& | anentity | ) |

void WOKBuilder_MSExtractorIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKBuilder_MSExtractorIterator::operator new | ( | size_t | size | ) | `[inline]`

void* WOKBuilder_MSExtractorIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_WOKBuilder_HSequenceOfEntity WOKBuilder_MSExtractorIterator::Produces | ( |  | ) | const

## Field Documentation

Handle_WOKBuilder_MSExtractor WOKBuilder_MSExtractorIterator::myextractor `[private]`

Handle_WOKBuilder_MSchema WOKBuilder_MSExtractorIterator::mymeta `[private]`

Handle_WOKBuilder_HSequenceOfEntity WOKBuilder_MSExtractorIterator::myproduction `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_MSExtractorIterator.hxx